Page MenuHomePhabricator

[SVE] Eliminate calls to default-false VectorType::get() from IR
ClosedPublic

Authored by ctetreau on May 19 2020, 5:19 PM.

Diff Detail

Event Timeline

ctetreau created this revision.May 19 2020, 5:19 PM
Herald added a project: Restricted Project. · View Herald Transcript
ctetreau updated this revision to Diff 265346.May 20 2020, 2:23 PM

catch straggler

efriedma accepted this revision.Jun 1 2020, 11:10 AM

LGTM

llvm/lib/IR/ConstantFold.cpp
884

This should be MaskEltCount... we probably want a testcase for that, though. I'll look into it.

This revision is now accepted and ready to land.Jun 1 2020, 11:10 AM
This revision was automatically updated to reflect the committed changes.